Skip to content

organization_connectors_remove

Detaches the product in product_id from a connector.

Tool

organization_connectors_remove

Detaches the product in product_id from a connector.

Detaches the product in product_id from a connector. For a github-token connector this revokes it (product owner or admin): the stored token and webhook secret are deleted and the revocation is audited.

Behavior

HTTP
DELETE /governance/api/v1/connectors/:id

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.

Response

Field
Type
Always
Description
success
boolean
•

Try it

Detaches the product in product_id from a connector.

When to use

Detaches the product in product_id from a connector. For a github-token connector this revokes it (product owner or admin): the stored token and webhook secret are deleted and the revocation is audited.

Example

Ask your agent something like this:

Detaches the product in product_id from a connector.

The agent will invoke organization_connectors_remove with these arguments:

{
  "id": "<id>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select